System.Web 2.0.0.0 System.Enum System.Flags

The enumeration is used with the property of the class to determine what event in the pipeline is currently processing. To determine when all the handlers for a specific event of the instance have finished processing, use the property.

The type is introduced in the net_v35_long. For more information, see The .NET Framework 3.5 Architecture.

Indicates when events and other life-cycle events occur while a request is being processed.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the handler that is mapped to the requested resource is being invoked to process the request.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates a point in the application life cycle just before the handler that processes the request is mapped.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that processing of the request is complete and that the response is being sent.

- Field
  2.0.0.0
  System.Web.RequestNotification

  Indicates that the event was raised for the request and is processing.